Bug 763746 - (GLUSTER-2014) We need an easy way to alter client configs without breaking DVM
We need an easy way to alter client configs without breaking DVM
Status: CLOSED EOL
Product: GlusterFS
Classification: Community
Component: unclassified (Show other bugs)
mainline
All Linux
medium Severity low
: ---
: ---
Assigned To: bugs@gluster.org
: FutureFeature, Triaged
: GLUSTER-2356 (view as bug list)
Depends On:
Blocks: 852151
  Show dependency treegraph
 
Reported: 2010-10-26 03:07 EDT by Craig Carl
Modified: 2015-10-22 11:46 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
: 852151 (view as bug list)
Environment:
Last Closed: 2015-10-22 11:46:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Craig Carl 2010-10-26 03:07:32 EDT
Jacob,
  It would be tricky in this version to achieve your requirements. Even though the filesystem supports different read-subvolumes for different clients, the CLI still does not have an interface to express this configuration to the filesystem yet.

Avati

    Hello,

     

    With GlusterFS 3.1, I know how you can configure an environment with 3 replicas of files, but what is not clear to me is what the proper way is to configure GlusterFS clients to use this.  I know you can use mount –t glusterfs server:/volname /mntpoint to mount the volume, but what happens when you have different clients that need to mount it in a different way.  For example,

     

    1.       I have 3 replicas with 1 server on each rack in a datacenter.

    2.       I want to have the clients in a rack read data from a server in the rack and not from the other racks.

    3.       Since there is no ‘vol’ file, using the above mount command all servers in all racks will read from all racks.

     

    In 3.0.x, you would specify the read-subvolume in the mirror volume definition on the client and then mount using the vol file.  Is there a way of having multiple client configurations in 3.1.x?  Or do I have to copy the vol file(/etc/glusterd/vols/volname/volname-fuse.vol) to the clients and mount things that way?  If I do that, will it break DVM?

    Jacob Shucart | Gluster

    Sales Engineer

    E-Mail   : Jacob@gluster.com

    Direct    : (408)770-1504
Comment 1 Amar Tumballi 2011-06-27 05:13:44 EDT
*** Bug 2356 has been marked as a duplicate of this bug. ***
Comment 2 Amar Tumballi 2011-09-27 01:49:56 EDT
Planing to keep 3.4.x branch as "internal enhancements" release without any features. So moving these bugs to 3.4.0 target milestone.
Comment 3 krishnan parthasarathi 2013-01-03 05:29:49 EST
The lack of this feature can be worked around by having 'hand-made' volume file(s) (placed in non-standard locations) per client based on the requirement. I do agree that as part of DVM, we need to provide this feature via glusterd. Lowering priority for now.
Comment 4 Niels de Vos 2014-09-25 07:42:38 EDT
This support is coming with the "Data Classification" feature:

http://www.gluster.org/community/documentation/index.php/Features/data-classification
Comment 5 Kaleb KEITHLEY 2015-10-22 11:46:38 EDT
because of the large number of bugs filed against mainline version\ is ambiguous and about to be removed as a choice.

If you believe this is still a bug, please change the status back to NEW and choose the appropriate, applicable version for it.

Note You need to log in before you can comment on or make changes to this bug.